#include <bits/stdc++.h>

using namespace std;

int main()
{
    cout << fixed;
    cout << setprecision(2);
    int n;
    cin >> n;
    vector<pair<double, int>> niz(n);
    vector<int> pref(n + 1, 0);
    for (int i = 0; i < n; i++) {
        int zarada; // YMCA
        cin >> zarada;
        double procenat;
        cin >> procenat;
        niz[i].second = zarada;
        niz[i].first = procenat;
    }
    sort(niz.rbegin(), niz.rend());
    for (int i = 0; i < n; i++) {
        pref[i + 1] = niz[i].second + pref[i];
    }
    long double resenje = 0;
    long long S = 0;
    for (int i = 0; i < n; i++) {
        S = pref[i + 1];
        long double p = niz[i].first / 100;
        long double s = S * p;
        resenje = max(resenje, s);
    }
    cout << resenje;
    return 0;
}